 /*****************************************************************/
 /***          Static CMOS Circuit Extractor Program            ***/
 /***          Output Header.v for Verilog Simulation           ***/
 /*****************************************************************/
 
module TRANS(in, out);
input in;
output out;
assign out = in;
endmodule

module INV(a, out);
input a;
output out;
assign out = ~a;
endmodule

module NAND2(a, b, out);
input a, b;
output out;
assign out = ~(a & b);
endmodule

module NOR2(a, b, out);
input a, b;
output out;
assign out = ~(a | b);
endmodule

module NAND3(a, b, c, out);
input a, b, c;
output out;
assign out = ~(a & b & c);
endmodule

module NOR3(a, b, c, out);
input a, b, c;
output out;
assign out = ~(a | b | c);
endmodule

module AOI12(a, b, c, out);
input a, b, c;
output out;
assign out = ~((a & b) | c);
endmodule

module OAI12(a, b, c, out);
input a, b, c;
output out;
assign out = ~((a | b) & c);
endmodule

module NAND4(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~(a & b & c & d);
endmodule

module NOR4(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~(a | b | c | d);
endmodule

module AOI22(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~((a & b) | (c & d));
endmodule

module OAI22(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~((a | b) & (c | d));
endmodule

module AOI13(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~((a & b & c) | d);
endmodule

module OAI13(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~((a | b | c) & d);
endmodule

module AOOI112(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~((a & b) | c | d);
endmodule

module OAAI112(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~((a | b) & c & d);
endmodule

module AOAI112(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~(((a & b) | c) & d);
endmodule

module OAOI112(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~(((a | b) & c) | d);
endmodule

module AOI23(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a & b & c) | (d & e));
endmodule

module AOI311(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a | b) | (c & d & e));
endmodule

module AOI221(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a & b) | (c & d) | e);
endmodule

module OAI23(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a | b | c) & (d | e));
endmodule

module OAI311(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a | b | c) & d & e);
endmodule

module OAI221(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a | b) & (c | d) & e);
endmodule

module OAOI212(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~(((a | b) & c) | (d & e));
endmodule

module OAOI2111(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~(((a | b) & e) | (c | d));
endmodule

module AOAI212(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a | b) & ((c & d) | e));
endmodule

module AOAI2111(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~(((a & b) | e) & (c & d));
endmodule

module AOI33(a, b, c, d, e, f, out);
input a, b, c, d, e, f;
output out;
assign out = ~((a & b & c) | (d & e & f));
endmodule

module AOI321(a, b, c, d, e, f, out);
input a, b, c, d, e, f;
output out;
assign out = ~((a & b & c) | (d & e) | f);
endmodule

module AOI222(a, b, c, d, e, f, out);
input a, b, c, d, e, f;
output out;
assign out = ~((a & b) | ( c & d) | (e & f));
endmodule

module OAI222(a, b, c, d, e, f, out);
input a, b, c, d, e, f;
output out;
assign out = ~((a | b) & (c | d) & (e | f));
endmodule

module OAI33(a, b, c, d, e, f, out);
input a, b, c, d, e, f;
output out;
assign out = ~((a | b | c) & (d & e & f));
endmodule

module OAI321(a, b, c, d, e, f, out);
input a, b, c, d, e, f;
output out;
assign out = ~((a | b | c) & (d | e) & f);
endmodule

