//Timescale definition
`timescale 1ns / 100ps

module INV(a, out);
input a;
output out;
assign out = ~a;
endmodule

module NAND2(a, b, out);
input a, b;
output out;
assign out = ~(a & b);
endmodule

module NOR2(a, b, out);
input a, b;
output out;
assign out = ~(a | b);
endmodule

module NAND3(a, b, c, out);
input a, b, c;
output out;
assign out = ~(a & b & c);
endmodule

module NOR3(a, b, c, out);
input a, b, c;
output out;
assign out = ~(a | b | c);
endmodule

module AOI12(a, b, c, out);
input a, b, c;
output out;
assign out = ~((a & b) | c);
endmodule

module OAI12(a, b, c, out);
input a, b, c;
output out;
assign out = ~((a | b) & c);
endmodule

module NAND4(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~(a & b & c & d);
endmodule

module NOR4(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~(a | b | c | d);
endmodule

module AOI22(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~((a & b) | (c & d));
endmodule

module OAI22(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~((a | b) & (c | d));
endmodule

module AOI13(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~((a & b & c) | d);
endmodule

module OAI13(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~((a | b | c) & d);
endmodule

module AOOI112(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~((a & b) | c | d);
endmodule

module OAAI112(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~((a | b) & c & d);
endmodule

module AOAI112(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~(((a & b) | c) & d);
endmodule

module OAOI112(a, b, c, d, out);
input a, b, c, d;
output out;
assign out = ~(((a | b) & c) | d);
endmodule

module AOI23(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a & b & c) | (d & e));
endmodule

module AOI311(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a | b) | (c & d & e));
endmodule

module AOI221(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a & b) | (c & d) | e);
endmodule

module OAI23(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a | b | c) & (d | e));
endmodule

module OAI311(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a | b | c) & d & e);
endmodule

module OAI221(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a | b) & (c | d) & e);
endmodule

module OAOI212(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~(((a | b) & c) | (d & e));
endmodule

module OAOI2111(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~(((a | b) & e) | (c | d));
endmodule

module AOAI212(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~((a | b) & ((c & d) | e));
endmodule

module AOAI2111(a, b, c, d, e, out);
input a, b, c, d, e;
output out;
assign out = ~(((a & b) | e) & (c & d));
endmodule

module AOI33(a, b, c, d, e, f, out);
input a, b, c, d, e, f;
output out;
assign out = ~((a & b & c) | (d & e & f));
endmodule

module AOI321(a, b, c, d, e, f, out);
input a, b, c, d, e, f;
output out;
assign out = ~((a & b & c) | (d & e) | f);
endmodule

module AOI222(a, b, c, d, e, f, out);
input a, b, c, d, e, f;
output out;
assign out = ~((a & b) | ( c & d) | (e & f));
endmodule

module OAI222(a, b, c, d, e, f, out);
input a, b, c, d, e, f;
output out;
assign out = ~((a | b) & (c | d) & (e | f));
endmodule

module OAI33(a, b, c, d, e, f, out);
input a, b, c, d, e, f;
output out;
assign out = ~((a | b | c) & (d & e & f));
endmodule

module OAI321(a, b, c, d, e, f, out);
input a, b, c, d, e, f;
output out;
assign out = ~((a | b | c) & (d | e) & f);
endmodule

module INV4(A, OUT);
input A;
output OUT;
assign OUT = ~A;
endmodule

module MUX2(SEL, A, B, OUT);
input SEL, A, B;
output OUT;
assign OUT = SEL ? A : B;
endmodule

module DFF(DATA, CLK, Q, QB);
input DATA, CLK;
output Q, QB;
reg Q, QB;
always @(posedge CLK)
  begin
    Q <= DATA;
    QB <= ~DATA;
  end
endmodule

module LAT(DATA, GB, Q, QB);
input DATA, GB;
output Q, QB;
reg Q, QB;
always @(GB or DATA)
begin
if(GB == 1'b0)
  begin
    Q <= DATA;
    QB <= ~DATA;
  end
end
endmodule

module DFFP(DATA, CLK, PRB, Q, QB);
input DATA, CLK, PRB;
output Q, QB;
reg Q, QB; 
always @(posedge CLK or negedge PRB)
begin
  if (PRB == 1'b0)
    begin
     Q <= 1'b1;
     QB <= 1'b0;
    end
  else 
   begin
    Q <= DATA;
    QB <= ~DATA;
   end
end
endmodule

module DFFC(DATA, CLK, CLB, Q, QB);
input DATA, CLK, CLB;
output Q, QB;
reg Q, QB; 
always @(posedge CLK or negedge CLB)
begin
  if (CLB == 1'b0)
    begin
     Q <= 1'b0;
     QB <= 1'b1;
    end
  else 
   begin
    Q <= DATA;
    QB <= ~DATA;
   end
end
endmodule


 module psm (loadreg, shiftclock, serialinput, serialoutput, Vdd, Gnd); 
 input loadreg, shiftclock, serialinput, Vdd, Gnd;
 output serialoutput;
 wire Vdd, Gnd, n2742, n2526, n2525, n2481, n2480, n2469, n2467, n2575, n2574, n2560,
 n2520, n2518, n2510, n2468, n2441, n2440, n2392, n2391,  n2390,
 n2785, n2784, n2783, n2781, n2778, n2776, n2775, n2772, n2770, n2767,
 n2762, n2760, n2759, n2757, n2756, n2747, n2745, n2735, n2734, n2733,
 n2729, n2725, n2723, n2722, n2721, n2715, n2712, n2711, n2708, n2705,
 n2700, n2694, n2690, n2686, n2681, n2678, n2679, n2677, n2676, n2675,
 n2670, n2668, n2660, n2648, n2639, n2636, n2634, n2632, n2633, n2631,
 n2630, n2629, n2628, n2625, n2608, n2607, n2605, n2602, n2595, n2594,
 n2593, n2586, n2588, n2587, n2585, n2583, n2582, n2581, n2580, n2566,
 n2565, n2564, n2562, n2561, n2554, n2550, n2548, n2547, n2544, n2545,
 n2542, n2543, n2541, n2540, n2538, n2533, n2517, n2515, n2514, n2509,
 n2508, n2507, n2506, n2504, n2505, n2503, n2498, n2497, n2493, n2488,
 n2485, n2486, n2479, n2475, n2476, n2474, n2473, n2471, n2466, n2464,
 n2463, n2462, n2460, n2459, n2456, n2448, n2444, n2432, n2430, n2428,
 n2426, n2427, n2425, n2423, n2424, n2422, n2421, n2420, n2419, n2417,
 n2418, n2416, n2414, n2413, n2412, n2410, n2409, n2408, n2407, n2405,
 n2402, n2401, n2400, n2399, n2397, n2398, n2396, n2389, n2386, n2387,
 n2384, n2385, n2383, n2378, n2380, n2379, n2755, n2754, n2750, n2579,
 n2749, n2578, n2740, n2739, n2738, n2736, n2717, n2716, n2663, n2535,
 n2655, n2536, n2653, n2646, n2641, n2640, n2643, n2623, n2622, n2620,
 n2576, n2619, n2537, n2617, n2614, n2615, n2780, n2782, n2751, n2777,
 n2779, n2748, n2774, n2773, n2741, n2769, n2771, n2737, n2766, n2768,
 n2753, n2714, n2752, n2744, n2746, n2664, n2743, n2704, n2654, n2732,
 n2731, n2685, n2730, n2727, n2710, n2709, n2624, n2707, n2706, n2618,
 n2703, n2702, n2656, n2699, n2701, n2609, n2697, n2696, n2651, n2693,
 n2692, n2606, n2691, n2689, n2642, n2638, n2688, n2687, n2684, n2683,
 n2552, n2672, n2669, n2671, n2667, n2666, n2665, n2658, n2621, n2659,
 n2662, n2616, n2645, n2604, n2644, n2635, n2637, n2603, n2601, n2599,
 n2598, n2596, n2377, n1624, n2381, n1406, n2395, n1513, n2403, n1282,
 n2415, n1446, n2461, n1042, n2546, n176, n2549, n198, n2597, n959,
 n2600, n1147, n2657, n301, n64, n2695, n365, n2698, n589, n2764,
 n2765, n2728, n2763,  n2761, n2626, n2724, n2682, n2726, n2758,
 n2719, n2720, n2673, n2718, n2661, n2713, n2557, n2680, n2674, n2649,
 n2611, n2650, n2612, n2652, n2647, n356, n2627, n295, n2613, n2592,
 n2590, n2591, n2584, n2577, n2569, n2573, n2572, n2527, n2555, n2553,
 n2556, n2559, n2563, n2523, n2519, n2521, n2551, n2470, n2534, n2589,
 n2567, n2610, n2539, n2529, n2558, n2570, n2568, n2530, n2487, n2489,
 n2531, n2532, n2522, n2524, n2434, n2516, n2513, n2511, n2501, n2458,
 n2502, n2500, n2455, n2411, n2499, n2477, n2490, n2528, n2453, n2496,
 n2512, n2472, n2465, n2457, n2452, n2454, n2449, n2450, n2443, n2406,
 n2447, n2571, n2492, n2495, n2494, n2451, n2491, n2482, n2484, n2483,
 n2478, n2445, n2446, n2437, n2393, n2429, n2433, n2435, n2431, n2436,
 n2404, n2388, n2442, n2382, n2394, n2438, n2439;
    INV  U1 ( .a(loadreg), .out(n64) );
    INV  U2 ( .a(shiftclock), .out(n176) );
    INV  U3 ( .a(loadreg), .out(n198) );
    INV  U4 ( .a(n2742), .out(n295) );
    INV  U5 ( .a(shiftclock), .out(n301) );
    INV  U6 ( .a(n2742), .out(n356) );
    INV  U7 ( .a(loadreg), .out(n365) );
    INV  U8 ( .a(shiftclock), .out(n589) );
    INV  U9 ( .a(loadreg), .out(n959) );
    INV  U10 ( .a(loadreg), .out(n1042) );
    INV  U11 ( .a(shiftclock), .out(n1147) );
    INV  U12 ( .a(loadreg), .out(n1282) );
    INV  U13 ( .a(loadreg), .out(n1406) );
    INV  U14 ( .a(shiftclock), .out(n1446) );
    INV  U15 ( .a(shiftclock), .out(n1513) );
    INV  U16 ( .a(shiftclock), .out(n1624) );
    NOR4  U17 ( .a(n2439), .d(n2382), .c(n2394), .b(n2438), .out(n2390) );
    INV  U18 ( .a(n2442), .out(n2391) );
    INV  U19 ( .a(n2388), .out(n2394) );
    INV  U20 ( .a(n2404), .out(n2406) );
    NAND3  U21 ( .a(n2388), .c(n2436), .b(n2382), .out(n2433) );
    AOI22  U22 ( .a(n2431), .d(n2429), .c(n2433), .b(n2435), .out(n2434) );
    NAND2  U23 ( .a(n2393), .b(n2437), .out(n2435) );
    NAND2  U24 ( .a(n2446), .b(n2445), .out(n2438) );
    INV  U25 ( .a(n2478), .out(n2439) );
    NAND4  U26 ( .a(n2382), .d(n2482), .c(n2484), .b(n2483), .out(n2440) );
    AOI22  U27 ( .a(n2491), .d(n2495), .c(n2494), .b(n2451), .out(n2445) );
    NAND2  U28 ( .a(n2492), .b(n2571), .out(n2446) );
    INV  U29 ( .a(n2447), .out(n2449) );
    NAND4  U30 ( .a(n2406), .d(n2450), .c(n2443), .b(n2447), .out(n2451) );
    INV  U31 ( .a(n2443), .out(n2452) );
    NAND4  U32 ( .a(n2449), .d(n2452), .c(n2454), .b(n2404), .out(n2453) );
    INV  U33 ( .a(n2450), .out(n2454) );
    INV  U34 ( .a(n2457), .out(n2458) );
    INV  U35 ( .a(n2465), .out(n2467) );
    NOR2  U36 ( .a(n2472), .b(n2512), .out(n2468) );
    INV  U37 ( .a(n2472), .out(n2477) );
    NAND2  U38 ( .a(n2382), .b(n2388), .out(n2480) );
    NOR2  U39 ( .a(n2388), .b(n2478), .out(n2482) );
    AOI22  U40 ( .a(n2496), .d(n2453), .c(n2491), .b(n2495), .out(n2483) );
    NAND2  U41 ( .a(n2528), .b(n2492), .out(n2484) );
    NOR2  U42 ( .a(n2490), .b(n2443), .out(n2489) );
    NAND2  U43 ( .a(n2491), .b(n2477), .out(n2490) );
    NAND4  U44 ( .a(n2499), .d(n2457), .c(n2455), .b(n2411), .out(n2494) );
    NAND4  U45 ( .a(n2500), .d(n2501), .c(n2458), .b(n2502), .out(n2496) );
    INV  U46 ( .a(n2502), .out(n2499) );
    INV  U47 ( .a(n2411), .out(n2500) );
    INV  U48 ( .a(n2455), .out(n2501) );
    NOR2  U49 ( .a(n2511), .b(n2513), .out(n2512) );
    INV  U50 ( .a(n2516), .out(n2518) );
    NOR2  U51 ( .a(n2472), .b(n2434), .out(n2519) );
    NAND2  U52 ( .a(n2524), .b(n2522), .out(n2523) );
    NOR3  U53 ( .a(n2532), .c(n2489), .b(n2531), .out(n2524) );
    INV  U54 ( .a(n2524), .out(n2525) );
    INV  U55 ( .a(n2487), .out(n2527) );
    NAND4  U56 ( .a(n2530), .d(n2558), .c(n2570), .b(n2568), .out(n2528) );
    INV  U57 ( .a(n2529), .out(n2530) );
    NOR2  U58 ( .a(n2539), .b(n2455), .out(n2531) );
    NOR3  U59 ( .a(n2610), .c(n2589), .b(n2567), .out(n2532) );
    INV  U60 ( .a(n2472), .out(n2534) );
    NAND3  U61 ( .a(n2491), .c(n2534), .b(n2406), .out(n2535) );
    NAND3  U62 ( .a(n2491), .c(n2534), .b(n2449), .out(n2536) );
    NAND2  U63 ( .a(n2454), .b(n2534), .out(n2537) );
    NAND2  U64 ( .a(n2495), .b(n2477), .out(n2539) );
    INV  U65 ( .a(n2513), .out(n2551) );
    NOR2  U66 ( .a(n2470), .b(n2551), .out(n2552) );
    NOR4  U67 ( .a(n2521), .d(n2563), .c(n2523), .b(n2519), .out(n2555) );
    NOR2  U68 ( .a(n2472), .b(n2559), .out(n2556) );
    NAND4  U69 ( .a(n2556), .d(n2555), .c(n2558), .b(n2553), .out(n2557) );
    INV  U70 ( .a(n2567), .out(n2568) );
    NOR3  U71 ( .a(n2558), .c(n2568), .b(n2530), .out(n2569) );
    NOR3  U72 ( .a(n2527), .c(n2573), .b(n2572), .out(n2570) );
    NAND4  U73 ( .a(n2572), .d(n2527), .c(n2569), .b(n2573), .out(n2571) );
    INV  U74 ( .a(n2577), .out(n2573) );
    INV  U75 ( .a(n2584), .out(n2574) );
    NAND2  U76 ( .a(n2573), .b(n2534), .out(n2576) );
    NAND3  U77 ( .a(n2495), .c(n2534), .b(n2500), .out(n2578) );
    NAND3  U78 ( .a(n2495), .c(n2534), .b(n2499), .out(n2579) );
    NOR2  U79 ( .a(n2591), .b(n2590), .out(n2589) );
    INV  U80 ( .a(n2592), .out(n2591) );
    INV  U81 ( .a(n2553), .out(n2596) );
    NAND2  U82 ( .a(n2534), .b(n2439), .out(n2606) );
    INV  U83 ( .a(n2558), .out(n2609) );
    NAND2  U84 ( .a(n2492), .b(n2477), .out(n2610) );
    NOR2  U85 ( .a(n2529), .b(n2610), .out(n2611) );
    NAND3  U86 ( .a(n2492), .c(n2534), .b(n2527), .out(n2612) );
    INV  U87 ( .a(n2572), .out(n2613) );
    NAND2  U88 ( .a(n2613), .b(n2534), .out(n2614) );
    INV  U89 ( .a(n295), .out(n2615) );
    NAND2  U90 ( .a(n2458), .b(n2477), .out(n2622) );
    NOR2  U91 ( .a(n2627), .b(n2472), .out(n2626) );
    INV  U92 ( .a(n2519), .out(n2640) );
    INV  U93 ( .a(n356), .out(n2643) );
    INV  U94 ( .a(n2647), .out(n2649) );
    NAND2  U95 ( .a(n2532), .b(n2647), .out(n2650) );
    NAND3  U96 ( .a(n2652), .c(n2650), .b(n2612), .out(n2651) );
    NAND2  U97 ( .a(n2611), .b(n2649), .out(n2652) );
    NOR2  U98 ( .a(n2674), .b(n2472), .out(n2673) );
    INV  U99 ( .a(n2680), .out(n2682) );
    INV  U100 ( .a(n2557), .out(n2687) );
    NAND2  U101 ( .a(n2713), .b(n2661), .out(n2711) );
    INV  U102 ( .a(n2718), .out(n2713) );
    INV  U103 ( .a(n2673), .out(n2716) );
    NOR2  U104 ( .a(n2720), .b(n2719), .out(n2718) );
    INV  U105 ( .a(n2758), .out(n2720) );
    NAND3  U106 ( .a(n2726), .c(n2724), .b(n2682), .out(n2727) );
    NAND2  U107 ( .a(n2726), .b(n2724), .out(n2728) );
    INV  U108 ( .a(n2523), .out(n2736) );
    INV  U109 ( .a(n2611), .out(n2739) );
    INV  U110 ( .a(n2626), .out(n2754) );
    INV  U111 ( .a(n2761), .out(n2763) );


 /***The following are subcircuit : ***/
    DFFC  X112 ( .DATA(Vdd), .CLB(n2763), .CLK(n2728), .Q(n2765), .QB(n2764) );
    INV4  X113 ( .A(n589), .OUT(n2698) );
    INV4  X114 ( .A(n365), .OUT(n2695) );
    INV4  X115 ( .A(n64), .OUT(n2661) );
    INV4  X116 ( .A(n301), .OUT(n2657) );
    INV4  X117 ( .A(n1147), .OUT(n2600) );
    INV4  X118 ( .A(n959), .OUT(n2597) );
    INV4  X119 ( .A(n198), .OUT(n2549) );
    INV4  X120 ( .A(n176), .OUT(n2546) );
    INV4  X121 ( .A(n1042), .OUT(n2461) );
    INV4  X122 ( .A(n1446), .OUT(n2415) );
    INV4  X123 ( .A(n1282), .OUT(n2403) );
    INV4  X124 ( .A(n1513), .OUT(n2395) );
    INV4  X125 ( .A(n1406), .OUT(n2381) );
    INV4  X126 ( .A(n1624), .OUT(n2377) );
    MUX2  X127 ( .SEL(n2597), .A(n2596), .B(n2598), .OUT(n2599) );
    MUX2  X128 ( .SEL(n2597), .A(n2521), .B(n2601), .OUT(n2603) );
    MUX2  X129 ( .SEL(n2597), .A(n2557), .B(n2637), .OUT(n2635) );
    MUX2  X130 ( .SEL(n2597), .A(n2644), .B(n2604), .OUT(n2645) );
    MUX2  X131 ( .SEL(n2661), .A(n2616), .B(n2662), .OUT(n2659) );
    MUX2  X132 ( .SEL(n2661), .A(n2621), .B(n2658), .OUT(n2665) );
    MUX2  X133 ( .SEL(n2661), .A(n2563), .B(n2666), .OUT(n2667) );
    MUX2  X134 ( .SEL(n2661), .A(n2671), .B(n2669), .OUT(n2672) );
    MUX2  X135 ( .SEL(n2597), .A(n2552), .B(n2683), .OUT(n2684) );
    MUX2  X136 ( .SEL(n2597), .A(n2687), .B(n2688), .OUT(n2638) );
    MUX2  X137 ( .SEL(n2597), .A(n2642), .B(n2689), .OUT(n2691) );
    MUX2  X138 ( .SEL(n2597), .A(n2606), .B(n2692), .OUT(n2693) );
    MUX2  X139 ( .SEL(n2695), .A(n2651), .B(n2696), .OUT(n2697) );
    MUX2  X140 ( .SEL(n2695), .A(n2609), .B(n2701), .OUT(n2699) );
    MUX2  X141 ( .SEL(n2695), .A(n2656), .B(n2702), .OUT(n2703) );
    MUX2  X142 ( .SEL(n2661), .A(n2618), .B(n2706), .OUT(n2707) );
    MUX2  X143 ( .SEL(n2661), .A(n2624), .B(n2709), .OUT(n2710) );
    MUX2  X144 ( .SEL(n2597), .A(n2727), .B(n2730), .OUT(n2685) );
    MUX2  X145 ( .SEL(n2597), .A(n2687), .B(n2731), .OUT(n2732) );
    MUX2  X146 ( .SEL(n2695), .A(n2654), .B(n2704), .OUT(n2743) );
    MUX2  X147 ( .SEL(n2695), .A(n2664), .B(n2746), .OUT(n2744) );
    MUX2  X148 ( .SEL(n2661), .A(n2752), .B(n2714), .OUT(n2753) );
    MUX2  X149 ( .SEL(n2695), .A(n2765), .B(n2768), .OUT(n2766) );
    MUX2  X150 ( .SEL(n2695), .A(n2737), .B(n2771), .OUT(n2769) );
    MUX2  X151 ( .SEL(n2695), .A(n2741), .B(n2773), .OUT(n2774) );
    MUX2  X152 ( .SEL(n2695), .A(n2748), .B(n2779), .OUT(n2777) );
    MUX2  X153 ( .SEL(n2661), .A(n2751), .B(n2782), .OUT(n2780) );
    LAT  X154 ( .GB(n2615), .DATA(n2614), .Q(n2616), .QB(n2617) );
    LAT  X155 ( .GB(n2615), .DATA(n2537), .Q(n2618), .QB(n2619) );
    LAT  X156 ( .GB(n2615), .DATA(n2576), .Q(n2621), .QB(n2620) );
    LAT  X157 ( .GB(n2615), .DATA(n2622), .Q(n2624), .QB(n2623) );
    LAT  X158 ( .GB(n2643), .DATA(n2640), .Q(n2642), .QB(n2641) );
    LAT  X159 ( .GB(n2643), .DATA(n2606), .Q(n2644), .QB(n2646) );
    LAT  X160 ( .GB(n2643), .DATA(n2612), .Q(n2654), .QB(n2653) );
    LAT  X161 ( .GB(n2643), .DATA(n2536), .Q(n2656), .QB(n2655) );
    LAT  X162 ( .GB(n2615), .DATA(n2535), .Q(n2664), .QB(n2663) );
    LAT  X163 ( .GB(n2615), .DATA(n2716), .Q(n2671), .QB(n2717) );
    LAT  X164 ( .GB(n2643), .DATA(n2736), .Q(n2737), .QB(n2738) );
    LAT  X165 ( .GB(n2643), .DATA(n2739), .Q(n2741), .QB(n2740) );
    LAT  X166 ( .GB(n2615), .DATA(n2578), .Q(n2748), .QB(n2749) );
    LAT  X167 ( .GB(n2615), .DATA(n2579), .Q(n2751), .QB(n2750) );
    LAT  X168 ( .GB(n2615), .DATA(n2754), .Q(n2752), .QB(n2755) );
    DFF  X169 ( .CLK(n2377), .DATA(n2379), .QB(n2380), .Q(n2378) );
    DFF  X170 ( .CLK(n2381), .DATA(n2378), .QB(n2383), .Q(n2382) );
    DFF  X171 ( .CLK(n2377), .DATA(n2378), .QB(n2385), .Q(n2384) );
    DFF  X172 ( .CLK(n2377), .DATA(n2384), .QB(n2387), .Q(n2386) );
    DFF  X173 ( .CLK(n2381), .DATA(n2384), .QB(n2389), .Q(n2388) );
    DFF  X174 ( .CLK(n2395), .DATA(n2396), .QB(n2398), .Q(n2397) );
    DFF  X175 ( .CLK(n2395), .DATA(n2399), .QB(n2400), .Q(n2396) );
    DFF  X176 ( .CLK(n2395), .DATA(n2401), .QB(n2402), .Q(n2399) );
    DFF  X177 ( .CLK(n2403), .DATA(n2401), .QB(n2405), .Q(n2404) );
    DFF  X178 ( .CLK(n2395), .DATA(n2407), .QB(n2408), .Q(n2401) );
    DFF  X179 ( .CLK(n2395), .DATA(n2409), .QB(n2410), .Q(n2407) );
    DFF  X180 ( .CLK(n2403), .DATA(n2409), .QB(n2412), .Q(n2411) );
    DFF  X181 ( .CLK(n2395), .DATA(n2413), .QB(n2414), .Q(n2409) );
    DFF  X182 ( .CLK(n2415), .DATA(n2416), .QB(n2418), .Q(n2417) );
    DFF  X183 ( .CLK(n2415), .DATA(n2419), .QB(n2420), .Q(n2416) );
    DFF  X184 ( .CLK(n2377), .DATA(n2421), .QB(n2422), .Q(n2379) );
    DFF  X185 ( .CLK(n2381), .DATA(n2379), .QB(n2424), .Q(n2423) );
    DFF  X186 ( .CLK(n2377), .DATA(n2425), .QB(n2427), .Q(n2426) );
    DFF  X187 ( .CLK(n2377), .DATA(n2386), .QB(n2428), .Q(n2425) );
    DFF  X188 ( .CLK(n2381), .DATA(n2386), .QB(n2430), .Q(n2429) );
    DFF  X189 ( .CLK(n2381), .DATA(n2425), .QB(n2432), .Q(n2431) );
    DFF  X190 ( .CLK(n2403), .DATA(n2396), .QB(n2444), .Q(n2443) );
    DFF  X191 ( .CLK(n2403), .DATA(n2399), .QB(n2448), .Q(n2447) );
    DFF  X192 ( .CLK(n2403), .DATA(n2407), .QB(n2456), .Q(n2455) );
    DFF  X193 ( .CLK(n2395), .DATA(n2459), .QB(n2460), .Q(n2413) );
    DFF  X194 ( .CLK(n2461), .DATA(n2417), .QB(n2462), .Q(n2450) );
    DFF  X195 ( .CLK(n2461), .DATA(n2416), .QB(n2463), .Q(n2457) );
    DFF  X196 ( .CLK(n2461), .DATA(n2419), .QB(n2464), .Q(n2442) );
    DFF  X197 ( .CLK(n2381), .DATA(n2421), .QB(n2466), .Q(n2465) );
    DFF  X198 ( .CLK(n2381), .DATA(n2471), .QB(n2473), .Q(n2472) );
    DFF  X199 ( .CLK(n2377), .DATA(n2474), .QB(n2476), .Q(n2475) );
    DFF  X200 ( .CLK(n2381), .DATA(n2475), .QB(n2479), .Q(n2478) );
    DFF  X201 ( .CLK(n2395), .DATA(n2397), .QB(n2486), .Q(n2485) );
    DFF  X202 ( .CLK(n2403), .DATA(n2397), .QB(n2488), .Q(n2487) );
    DFF  X203 ( .CLK(n2403), .DATA(n2459), .QB(n2493), .Q(n2492) );
    DFF  X204 ( .CLK(n2395), .DATA(n2497), .QB(n2498), .Q(n2459) );
    DFF  X205 ( .CLK(n2403), .DATA(n2413), .QB(n2503), .Q(n2502) );
    DFF  X206 ( .CLK(n2415), .DATA(n2417), .QB(n2505), .Q(n2504) );
    DFF  X207 ( .CLK(n2415), .DATA(n2506), .QB(n2507), .Q(n2419) );
    DFF  X208 ( .CLK(n2377), .DATA(n2508), .QB(n2509), .Q(n2421) );
    DFF  X209 ( .CLK(n2377), .DATA(n2426), .QB(n2514), .Q(n2471) );
    DFF  X210 ( .CLK(n2377), .DATA(n2471), .QB(n2515), .Q(n2474) );
    DFF  X211 ( .CLK(n2381), .DATA(n2474), .QB(n2517), .Q(n2516) );
    DFF  X212 ( .CLK(n2403), .DATA(n2485), .QB(n2533), .Q(n2529) );
    DFF  X213 ( .CLK(n2403), .DATA(n2497), .QB(n2538), .Q(n2491) );
    DFF  X214 ( .CLK(n2395), .DATA(n2540), .QB(n2541), .Q(n2497) );
    DFF  X215 ( .CLK(n2415), .DATA(n2504), .QB(n2543), .Q(n2542) );
    DFF  X216 ( .CLK(n2415), .DATA(n2542), .QB(n2545), .Q(n2544) );
    DFF  X217 ( .CLK(n2546), .DATA(n2547), .QB(n2548), .Q(n2508) );
    DFF  X218 ( .CLK(n2549), .DATA(n2508), .QB(n2550), .Q(n2513) );
    DFF  X219 ( .CLK(n2381), .DATA(n2426), .QB(n2554), .Q(n2553) );
    DFF  X220 ( .CLK(n2549), .DATA(n2561), .QB(n2562), .Q(n2558) );
    DFF  X221 ( .CLK(n2546), .DATA(n2564), .QB(n2565), .Q(n2561) );
    DFF  X222 ( .CLK(n2546), .DATA(n2485), .QB(n2566), .Q(n2564) );
    DFF  X223 ( .CLK(n2403), .DATA(n2540), .QB(n2580), .Q(n2495) );
    DFF  X224 ( .CLK(n2395), .DATA(n2581), .QB(n2582), .Q(n2540) );
    DFF  X225 ( .CLK(n2461), .DATA(n2542), .QB(n2583), .Q(n2577) );
    DFF  X226 ( .CLK(n2461), .DATA(n2544), .QB(n2585), .Q(n2584) );
    DFF  X227 ( .CLK(n2546), .DATA(n2587), .QB(n2588), .Q(n2586) );
    DFF  X228 ( .CLK(n2549), .DATA(n2587), .QB(n2593), .Q(n2592) );
    DFF  X229 ( .CLK(n2546), .DATA(n2594), .QB(n2595), .Q(n2587) );
    DFF  X230 ( .CLK(n2600), .DATA(n2599), .QB(n2602), .Q(n2601) );
    DFF  X231 ( .CLK(n2600), .DATA(n2603), .QB(n2605), .Q(n2604) );
    DFF  X232 ( .CLK(n2546), .DATA(n2561), .QB(n2607), .Q(n2594) );
    DFF  X233 ( .CLK(n2549), .DATA(n2564), .QB(n2608), .Q(n2567) );
    DFF  X234 ( .CLK(n2461), .DATA(n2504), .QB(n2625), .Q(n2572) );
    DFF  X235 ( .CLK(n2461), .DATA(n2581), .QB(n2628), .Q(n2627) );
    DFF  X236 ( .CLK(n2415), .DATA(n2629), .QB(n2630), .Q(n2581) );
    DFF  X237 ( .CLK(n2415), .DATA(n2544), .QB(n2631), .Q(n2629) );
    DFF  X238 ( .CLK(n2546), .DATA(n2586), .QB(n2633), .Q(n2632) );
    DFF  X239 ( .CLK(n2549), .DATA(n2586), .QB(n2634), .Q(n2590) );
    DFF  X240 ( .CLK(n2600), .DATA(n2635), .QB(n2636), .Q(n2598) );
    DFF  X241 ( .CLK(n2600), .DATA(n2638), .QB(n2639), .Q(n2637) );
    DFF  X242 ( .CLK(n2549), .DATA(n2594), .QB(n2648), .Q(n2647) );
    DFF  X243 ( .CLK(n2657), .DATA(n2659), .QB(n2660), .Q(n2658) );
    DFF  X244 ( .CLK(n2657), .DATA(n2665), .QB(n2668), .Q(n2666) );
    DFF  X245 ( .CLK(n2657), .DATA(n2667), .QB(n2670), .Q(n2669) );
    DFF  X246 ( .CLK(n2461), .DATA(n2629), .QB(n2675), .Q(n2674) );
    DFF  X247 ( .CLK(n2415), .DATA(n2676), .QB(n2677), .Q(n2506) );
    DFF  X248 ( .CLK(n2546), .DATA(n2632), .QB(n2679), .Q(n2678) );
    DFF  X249 ( .CLK(n2549), .DATA(n2632), .QB(n2681), .Q(n2680) );
    DFF  X250 ( .CLK(n2600), .DATA(n2685), .QB(n2686), .Q(n2683) );
    DFF  X251 ( .CLK(n2600), .DATA(n2684), .QB(n2690), .Q(n2689) );
    DFF  X252 ( .CLK(n2600), .DATA(n2645), .QB(n2694), .Q(n2692) );
    DFF  X253 ( .CLK(n2698), .DATA(n2699), .QB(n2700), .Q(n2696) );
    DFF  X254 ( .CLK(n2698), .DATA(n2703), .QB(n2705), .Q(n2704) );
    DFF  X255 ( .CLK(n2657), .DATA(n2707), .QB(n2708), .Q(n2662) );
    DFF  X256 ( .CLK(n2657), .DATA(n2711), .QB(n2712), .Q(n2709) );
    DFF  X257 ( .CLK(n2657), .DATA(n2672), .QB(n2715), .Q(n2714) );
    DFF  X258 ( .CLK(n2461), .DATA(n2506), .QB(n2721), .Q(n2719) );
    DFF  X259 ( .CLK(n2546), .DATA(n2722), .QB(n2723), .Q(n2547) );
    DFF  X260 ( .CLK(n2549), .DATA(n2547), .QB(n2725), .Q(n2724) );
    DFF  X261 ( .CLK(n2549), .DATA(n2722), .QB(n2729), .Q(n2726) );
    DFF  X262 ( .CLK(n2600), .DATA(n2732), .QB(n2733), .Q(n2688) );
    DFF  X263 ( .CLK(n2600), .DATA(n2691), .QB(n2734), .Q(n2731) );
    DFF  X264 ( .CLK(n2600), .DATA(n2693), .QB(n2735), .Q(serialoutput) );
    DFF  X265 ( .CLK(n2698), .DATA(n2744), .QB(n2745), .Q(n2702) );
    DFF  X266 ( .CLK(n2657), .DATA(n2710), .QB(n2747), .Q(n2706) );
    DFF  X267 ( .CLK(n2461), .DATA(n2756), .QB(n2757), .Q(n2742) );
    DFF  X268 ( .CLK(n2461), .DATA(n2676), .QB(n2759), .Q(n2758) );
    DFF  X269 ( .CLK(n2546), .DATA(n2678), .QB(n2760), .Q(n2722) );
    DFF  X270 ( .CLK(n2549), .DATA(n2678), .QB(n2762), .Q(n2761) );
    DFF  X271 ( .CLK(n2698), .DATA(n2766), .QB(n2767), .Q(n2730) );
    DFF  X272 ( .CLK(n2698), .DATA(n2769), .QB(n2770), .Q(n2768) );
    DFF  X273 ( .CLK(n2698), .DATA(n2697), .QB(n2772), .Q(n2771) );
    DFF  X274 ( .CLK(n2698), .DATA(n2774), .QB(n2775), .Q(n2701) );
    DFF  X275 ( .CLK(n2698), .DATA(n2743), .QB(n2776), .Q(n2773) );
    DFF  X276 ( .CLK(n2698), .DATA(n2777), .QB(n2778), .Q(n2746) );
    DFF  X277 ( .CLK(n2657), .DATA(n2780), .QB(n2781), .Q(n2779) );
    DFF  X278 ( .CLK(n2657), .DATA(n2753), .QB(n2783), .Q(n2782) );
    DFF  X279 ( .CLK(n2415), .DATA(serialinput), .QB(n2784), .Q(n2756) );
    DFF  X280 ( .CLK(n2415), .DATA(n2756), .QB(n2785), .Q(n2676) );
    DFFP  X281 ( .CLK(n2390), .DATA(Gnd), .PRB(n2391), .Q(n2392), .QB(n2393) );
    DFFP  X282 ( .CLK(n2440), .DATA(Gnd), .PRB(n2391), .Q(n2441), .QB(n2437) );
    DFFP  X283 ( .CLK(n2423), .DATA(n2465), .PRB(n2468), .Q(n2511), .QB(n2510) );
    DFFP  X284 ( .CLK(n2518), .DATA(Gnd), .PRB(n2477), .Q(n2521), .QB(n2520) );
    DFFP  X285 ( .CLK(n2477), .DATA(Gnd), .PRB(n2552), .Q(n2559), .QB(n2560) );
    DFFP  X286 ( .CLK(n2574), .DATA(Gnd), .PRB(n2477), .Q(n2563), .QB(n2575) );
    DFFC  X287 ( .DATA(n2467), .CLB(n2468), .CLK(n2423), .Q(n2470), .QB(n2469) );
    DFFC  X288 ( .DATA(Vdd), .CLB(n2477), .CLK(n2480), .Q(n2481), .QB(n2436) );
    DFFC  X289 ( .DATA(Vdd), .CLB(n2477), .CLK(n2525), .Q(n2526), .QB(n2522) );

endmodule
